#ifndef __BE_CHEAT_WINDOW_H__
#define __BE_CHEAT_WINDOW_H__

class be_team_item;

class be_cheat_window : public BWindow
{
public:
	be_cheat_window(BRect frame);
	~be_cheat_window();
	void MessageReceived(BMessage *m);
	bool QuitRequested() { be_app->PostMessage(B_QUIT_REQUESTED); return(true); }
	bool SearchForValue(uint32 value);
	bool SetSearchValue(uint32 value);
	bool MapItemMemory();
	void ChangeText(uint32 count);
	void SetDefaults();
	void AddAreaItems(const BString &str, const team_id &id);
	bool AddingToList(const BString &str);
	void RemoveDeadItems();
	bool AppIsRunning();
	void SearchFirst(uint32 value);
	void SearchNext(uint32 value);
	void SetMemoryValueType(uint8 *p, uint32 value);
	bool SearchMemoryValueType(uint8 *p, uint32 value);
private:
	BTextControl *be_value_control;
	BMenu *menu;
	BButton *search_button;
	BButton *set_button;
	BButton *clear_button;
	BTextView *text_view;
	be_team_item *item;
	uint8 *search_ram;
	area_id clone_id;
	uint32 *res_list;
	bool pfirst;
	uint32 count, lastcount, pfound, lastvalue;
	uint32 value_type;
};

#endif
