#include "be_cheat_constants_includes.h"

be_cheat_window::be_cheat_window(BRect frame)
	: BWindow(frame, "Cheat 'O Be", B_TITLED_WINDOW, B_NOT_ZOOMABLE | B_NOT_RESIZABLE),
	item(0),
	search_ram(0),
	clone_id(-1),
	res_list(0),
	pfirst(false),
	count(0),
	lastcount(0),
	pfound(0),
	lastvalue(0x11111),
	value_type(0)
{
	BView *view = new BView(Bounds(), "", B_FOLLOW_ALL, B_WILL_DRAW);
	view->SetViewColor(ui_color(B_PANEL_BACKGROUND_COLOR));
	AddChild(view);
	
	be_value_control = new BTextControl(BRect(5, 100, 150, 125), "tcontrol", "Value:", "", 0);
	be_value_control->SetDivider(40);
	view->AddChild(be_value_control);
	
	for (int x = 0; x < 256; x++) {
		if (x < '0' || x > '9') be_value_control->TextView()->DisallowChar(x);
	}
	
	search_button = new BButton(BRect(155, 98, 195, 120), "button", "Search", new BMessage(SEARCH));
	view->AddChild(search_button);
	
	set_button = new BButton(BRect(200, 98, 240, 120), "button", "Set", new BMessage(SETSEARCH));
	set_button->SetEnabled(false);
	view->AddChild(set_button);
	
	clear_button = new BButton(BRect(155, 125, 195, 147), "button", "Clear", new BMessage(NEWSEARCH));
	view->AddChild(clear_button);
	
	BButton *about = new BButton(BRect(200, 125, 240, 147), "button", "About", new BMessage(B_ABOUT_REQUESTED));
	view->AddChild(about);
	
	menu = new BMenu("");
	menu->AddItem(new BMenuItem("No App", new BMessage(NO_SEL)));
	menu->SetLabelFromMarked(true);
	
	BBox *box = new BBox(BRect(8, 125, 153, 200));
	box->SetFont(be_plain_font);
	box->SetLabel("Search/Set Type");
	view->AddChild(box);
	
	BRadioButton *radio;
	BRect rect(5, 10, 140, 30);
	radio = new BRadioButton(rect, "", "8-bit(0->255)", new BMessage(MODE_8_BIT));
	radio->SetValue(true);
	box->AddChild(radio);
	
	rect.top += 20;
	radio = new BRadioButton(rect, "", "16-bit(0->65,535)", new BMessage(MODE_16_BIT));
	box->AddChild(radio);
	rect.top += 20;
	radio = new BRadioButton(rect, "", "32-bit(0->4,294,967,295)", new BMessage(MODE_32_BIT));
	box->AddChild(radio);
	
	BRoster roster;
	BList list;
	roster.GetAppList(&list);
	
	for(int i = 0; i < list.CountItems(); i++) {
		app_info info;
		team_id id = (team_id)list.ItemAt(i);
		roster.GetRunningAppInfo(id, &info);
		if(AddingToList(info.ref.name))
			AddAreaItems(info.ref.name, id);
	}
	
	BRect r(0, 0, 240, 100);
	BMenuField *field = new BMenuField(r, "field", "App Select:", menu);
	field->SetDivider(60);
	view->AddChild(field);
	
	text_view = new BTextView(BRect(10, 30, 240, 90), "", BRect(0, 0, 220, 40), B_FOLLOW_NONE, B_WILL_DRAW);
	//text_view->SetViewColor(ui_color(B_PANEL_BACKGROUND_COLOR));
	text_view->MakeEditable(false);
	text_view->MakeSelectable(false);
	view->AddChild(text_view);
	SetDefaults();
}

bool be_cheat_window::AddingToList(const BString &str)
{
	static const BString s[] = { "registrar", "input_server", "debug_server",
								 "syslog_daemon", "Tracker", "Deskbar",
								 "media_server", "media_addon_server",
								 "print_server", "audio_server", "midi_server",
								 "net_server", "mail_daemon", "Terminal" };
	const int size = sizeof(s) / sizeof(s[0]);

	for(int i = 0; i < size; i++) {
		if(s[i] == str) return false;
	}
	return true;
}

void be_cheat_window::AddAreaItems(const BString &str, const team_id &team)
{
	int32 cookie = 0;
	area_info info;
	BString seg(str);
	seg << "_seg1";
	
	while (get_next_area_info(team, &cookie, &info) == B_OK) {
		if(strcmp(info.name, "heap") == 0) {
			BString string(str);
			string << "(Team id: " << team << ") -----> (Area: " << info.name << ")";
			menu->AddItem(new be_team_item(string.String(), new BMessage(APP_SELECTED), info, team));
		}
		if(strcmp(info.name, seg.String()) == 0) {
			BString string(str);
			string << "(Team id: " << team << ") -----> (Area: " << info.name << ")";
			menu->AddItem(new be_team_item(string.String(), new BMessage(APP_SELECTED), info, team));
		}
	}
}

void be_cheat_window::SetDefaults()
{
	menu->ItemAt(0)->SetMarked(true);
	BString s = "";
	s << "	Hello and Welcome to Cheat 'O Be.\nSelect an Application from the menu above to begin.";
	text_view->SetText(s.String());
	pfirst = false;
	count = 0; lastcount = 0; pfound = 0; lastvalue = 0x11111;
	search_button->SetEnabled(false);
	set_button->SetEnabled(false);
	be_value_control->SetText("");
	be_value_control->TextView()->MakeEditable(false);
}

void be_cheat_window::MessageReceived(BMessage *m)
{
	switch(m->what) {
		case MODE_8_BIT:
			value_type = 0;
		break;
		case MODE_16_BIT:
			value_type = 1;
		break;
		case MODE_32_BIT:
			value_type = 3;
		break;
		case NO_SEL:
			SetDefaults();
		break;
		case SEARCH:
			if(!be_value_control->TextView()->TextLength() > 0) {
				(new BAlert("cheat", "Error: No value entered to search for.", "Ok", NULL, NULL, B_WIDTH_FROM_LABEL))->Go();
				break;
			}
			SearchForValue(atoi(be_value_control->Text()));
		break;
		case SETSEARCH:
			if(!be_value_control->TextView()->TextLength() > 0) {
				(new BAlert("cheat", "Error: No value entered to set.", "Ok", NULL, NULL, B_WIDTH_FROM_LABEL))->Go();
				break;
			}
			SetSearchValue(atoi(be_value_control->Text()));
		break;
		case NEWSEARCH:
			SetDefaults();
		break;
		case APP_SELECTED:
			SetDefaults();
			int32 index;
			m->FindInt32("index", &index);
			item = dynamic_cast<be_team_item *>(menu->ItemAt(index));
			if(!MapItemMemory()) { SetDefaults(); break; }
			menu->ItemAt(index)->SetMarked(true);
			be_value_control->TextView()->MakeEditable(true);
		break;
		default:
			BWindow::MessageReceived(m);
		break;
	}
}

bool be_cheat_window::AppIsRunning()
{
	BRoster roster;
	app_info info;
	team_id id = item->Team();
	if(roster.GetRunningAppInfo(id, &info) != B_BAD_TEAM_ID) {
		return true;
	}
	(new BAlert("cheat", "Error: The selected application is no longer running, the application is being removed, Nooooo!!.", "Ok", NULL, NULL, B_WIDTH_FROM_LABEL))->Go();
	return false;
}

bool be_cheat_window::MapItemMemory()
{
	if(clone_id >= 0) {
		delete_area(clone_id); clone_id = -1;
	}
	
	if(item == 0) return false;
	
	if(!AppIsRunning()) {
		RemoveDeadItems();
		return false;
	}
	
	if(res_list) { delete [] res_list; res_list = 0; }
	
	res_list = new uint32[item->AreaInfo().size];
	if(res_list == 0) return false;
	
	area_id id = item->AreaInfo().area;
	clone_id = clone_area("my_seg", (void **)&search_ram, B_ANY_ADDRESS,
			B_READ_AREA | B_WRITE_AREA, id);

	if(clone_id < 0) {
		clone_id = -1;
		search_ram = 0;
		RemoveDeadItems();
		return false;
	}
	
	text_view->SetText("Now Enter a Value you want to search for. You can safely change the Search Type at any time.");
	search_button->SetEnabled(true);
	return true;
}

void be_cheat_window::RemoveDeadItems()
{
	be_team_item *del_item = 0;
	team_id team = item->Team();
	
	int32 i = menu->CountItems();
	
	while(--i) {
		del_item = dynamic_cast<be_team_item *>(menu->ItemAt(i));
		if(del_item)
		if(del_item->Team() == team) {
			menu->RemoveItem(del_item);
			delete del_item;
		}
	}
}

bool be_cheat_window::SearchMemoryValueType(uint8 *p, uint32 value)
{
	switch(value_type) {
		case 1:
			return *((uint16 *)(p)) == value;
		case 3:
			return *((uint32 *)(p)) == value;
		default:
			return *p == value;
	}
}

void be_cheat_window::SetMemoryValueType(uint8 *p, uint32 value)
{
	switch(value_type) {
		case 1:
			*((uint16 *)(p)) = value;
		break;
		case 3:
			*((uint32 *)(p)) = value;
		break;
		default:
			*p = value;
		break;
	}
}

bool be_cheat_window::SetSearchValue(uint32 value)
{
	if(!AppIsRunning()) {
		RemoveDeadItems();
		SetDefaults();
		return false;
	}
	
	for(uint32 i = 0; i < count; i++) {
		uint32 offset = res_list[i];
		uint8 *p = (uint8 *)search_ram + offset;
		SetMemoryValueType(p, value);
	}
	return true;
}

void be_cheat_window::SearchFirst(uint32 value)
{
	uint32 search_length = item->AreaInfo().size;
	search_length -= value_type;

	for(uint i = 0; i < search_length; i++) {
		uint8 *p = (uint8 *)search_ram + i;
		if(SearchMemoryValueType(p, value)) {
			res_list[count] = i;
			count++;
		}
	}
}

void be_cheat_window::SearchNext(uint32 value)
{
	uint32 v_count = 0;
	for(uint i = 0; i < lastcount; i++) {
		uint32 offset = res_list[i];
		uint8 *p = (uint8 *)search_ram + offset;
		if(SearchMemoryValueType(p, value)) {
			res_list[v_count] = offset;
			v_count++;
		}
		else count--;
	}
}

bool be_cheat_window::SearchForValue(uint32 value)
{
	if(!AppIsRunning()) {
		RemoveDeadItems();
		SetDefaults();
		return false;
	}
	
	if(lastvalue == value) {
		(new BAlert("cheat", "Error: You must enter a different value.", "Ok", NULL, NULL, B_WIDTH_FROM_LABEL))->Go();
		return false;
	}
	
	if(!pfirst) SearchFirst(value);
		else SearchNext(value);
		
	if(lastcount == count) pfound++;
		else pfound = 0;
		
	pfirst = true;
	lastcount = count;
	lastvalue = value;
	ChangeText(count);
	return true;
}

void be_cheat_window::ChangeText(uint32 count)
{
	if(count == 1 || pfound == 4)
	{
		BString s = "";
		s << "SUCCESS!!!!, value found at " << res_list[0] << ", enter the value you want to change in your application"
			<< " and press the Set Button. You can safely change the Set Type at any time.";
		text_view->SetText(s.String());
		search_button->SetEnabled(false);
		set_button->SetEnabled(true);
	}
	else if(count > 1)
	{
		BString s = "";
		s << "Ok, the value you entered has been found " << count << " times, "
			<< "change the value in your application and search again.";
			text_view->SetText(s.String());
	}
	else
	{
		BString s = "";
		s << "Unable to find the value you entered, Press Clear for a new search and try again.";
		text_view->SetText(s.String());
	}
}

be_cheat_window::~be_cheat_window()
{
	if(clone_id >= 0) delete_area(clone_id);
	if(res_list) { delete [] res_list; res_list = 0; }
}
